<?php

use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\Auth\CredencialController;
use Illuminate\Support\Facades\Route;

Route::group(
    [
        'middleware' => 'jwt.verify',
        'prefix' => 'auth',
    ],
    function () {
        
        Route::post('refresh-user', [AuthController::class, 'refresh']);
        Route::post('me-user', [AuthController::class, 'me']);
        Route::post('refresh-estudiante', [CredencialController::class, 'refresh']);
        Route::post('me-estudiante', [CredencialController::class, 'me']);
    },
);

Route::post('logout-user', [AuthController::class, 'logout']);
Route::post('login-user', [AuthController::class, 'login']);
Route::post('logout-estudiante', [CredencialController::class, 'logout']);
Route::post('login-estudiante', [CredencialController::class, 'login']);
